Skip to main content
POST
/
account
/
{accountId}
/
deposit
/
quote
Deposit quote
curl --request POST \
  --url https://api.blend.money/extern/{neobankId}/{accountTypeId}/account/{accountId}/deposit/quote \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "chainId": 1,
  "inputAssetAddress": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045",
  "eoa": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045",
  "amount": "1000000"
}
'
{
  "status": "<string>",
  "data": {
    "originChainId": 1,
    "destinationChainId": 1,
    "input": {
      "address": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045",
      "symbol": "<string>",
      "amount": "<string>",
      "amountFormatted": "<string>",
      "amountUsd": "<string>",
      "amountFiat": {
        "USD": "1.0001",
        "EUR": "0.9201"
      }
    },
    "output": {
      "address": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045",
      "symbol": "<string>",
      "amount": "<string>",
      "amountFormatted": "<string>",
      "amountUsd": "<string>",
      "amountFiat": {
        "USD": "1.0001",
        "EUR": "0.9201"
      }
    },
    "fees": {
      "gas": {
        "amountUsd": "<string>"
      },
      "relay": {
        "amountUsd": "<string>"
      },
      "totalUsd": "<string>"
    },
    "timeEstimate": 123,
    "steps": [
      {
        "kind": "approve",
        "description": "<string>",
        "to": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045",
        "data": "<string>",
        "value": "<string>",
        "chainId": 1
      }
    ]
  }
}

Authorizations

X-API-Key
string
header
required

SHA-256 hashed API key issued per organization

Headers

x-fiat-currency
string

ISO 4217 currency code (e.g. EUR, GBP). When set, all monetary response fields include an additional key for the requested currency alongside USD. When absent, monetary fields contain USD only.

Pattern: ^[A-Z]{3}$
Example:

"EUR"

Path Parameters

accountId
string<uuid>
required

Account UUID (returned by GET /account)

Body

application/json
chainId
integer
required

Origin chain where user's funds are

Example:

1

inputAssetAddress
string
required

Token address on origin chain

Pattern: ^0x[0-9a-fA-F]{40}$
Example:

"0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045"

eoa
string
required

User's EOA (transaction sender)

Pattern: ^0x[0-9a-fA-F]{40}$
Example:

"0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045"

amount
string
required

Amount in token's smallest unit

Pattern: ^(?:0|[1-9]\d*)$
Example:

"1000000"

Response

Deposit quote with executable steps

status
string
required
Allowed value: "success"
data
object
Last modified on April 6, 2026